## samtools-legacy 0.1.19%2Bdfsg

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2
#LDFLAGS=		-Wl,-rpath,\$$ORIGIN/../lib
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -D_CURSES_LIB=1
KNETFILE_O=	knetfile.o
LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
			bam_pileup.o bam_lpileup.o bam_md.o razf.o faidx.o bedidx.o \
			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o bam_cat.o
AOBJS=		bam_tview.o bam_plcmd.o sam_view.o \
			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o \
			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o \
			cut_target.o phase.o bam2depth.o padding.o bedcov.o bamshuf.o \
			bam_tview_curses.o bam_tview_html.o
PROG=		samtools
INCLUDES=	-I.
SUBDIRS=	. bcftools misc
LIBPATH=
LIBCURSES=	-lcurses # -lXCurses

.SUFFIXES:.c .o
.PHONY: all lib

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

.PHONY:all lib clean cleanlocal
.PHONY:all-recur lib-recur clean-recur cleanlocal-recur install-recur

lib:libbam.a

libbam.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

samtools:lib-recur $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) $(LDFLAGS) libbam.a -Lbcftools -lbcf $(LIBPATH) $(LIBCURSES) -lm -lz -lpthread

razip:razip.o razf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ $^ -lz

bgzip:bgzip.o bgzf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ $^ -lz -lpthread

bgzf.o:bgzf.c bgzf.h
		$(CC) -c $(CFLAGS) $(DFLAGS) -DBGZF_CACHE $(INCLUDES) bgzf.c -o $@

razip.o:razf.h
bam.o:bam.h razf.h bam_endian.h kstring.h sam_header.h
sam.o:sam.h bam.h
bam_import.o:bam.h kseq.h khash.h razf.h
bam_pileup.o:bam.h razf.h ksort.h
bam_plcmd.o:bam.h faidx.h bcftools/bcf.h bam2bcf.h
bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
bam_lpileup.o:bam.h ksort.h
bam_tview.o:bam.h faidx.h bam_tview.h
bam_tview_curses.o:bam.h faidx.h bam_tview.h
bam_tview_html.o:bam.h faidx.h bam_tview.h
bam_sort.o:bam.h ksort.h razf.h
bam_md.o:bam.h faidx.h
sam_header.o:sam_header.h khash.h
bcf.o:bcftools/bcf.h
bam2bcf.o:bam2bcf.h errmod.h bcftools/bcf.h
bam2bcf_indel.o:bam2bcf.h
errmod.o:errmod.h
phase.o:bam.h khash.h ksort.h
bamtk.o:bam.h

faidx.o:faidx.h razf.h khash.h
faidx_main.o:faidx.h razf.h


libbam.1.dylib-local:$(LOBJS)
		libtool -dynamic $(LOBJS) -o libbam.1.dylib -lc -lz

libbam.so.1-local:$(LOBJS)
		$(CC) -shared -Wl,-soname,libbam.so -o libbam.so.1 $(LOBJS) -lc -lz

dylib:
		@$(MAKE) cleanlocal; \
		case `uname` in \
			Linux) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.so.1-local;; \
			Darwin) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.1.dylib-local;; \
			*) echo 'Unknown OS';; \
		esac


cleanlocal:
		rm -fr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib

clean:cleanlocal-recur

## samtools-legacy 0.1.19

=== debian/changelog ===
samtools-legacy (0.1.19-4ubuntu0.1) focal; urgency=medium

  * Add backport of upstream commit 515f6df as
    d/p/515f6df-Remove-compressBound-assertions-PR-1258.patch
    in support of fixing 'zlib: compressBound() returns an incorrect result
    on z15'. (LP: #1983255)

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 08 Aug 2022 13:28:37 +0200

samtools-legacy (0.1.19-4) unstable; urgency=medium

  * Team upload.
  * Vcs-Browser points to correct branch
  * Standards-Version: 4.1.5
  * Make sure it is build with -fPIC
    Closes: #904735

 -- Andreas Tille <tille@debian.org>  Tue, 31 Jul 2018 09:50:13 +0200

samtools-legacy (0.1.19-3) unstable; urgency=medium

  * Team upload.
  * Switch from cdbs to dh
  * Add watch file
  * Cleanup debian/upstream/metadata
  * cme fix dpkg-control
     - Point VCS fields to Salsa
     - Standards-Version: 4.1.4
     - Fix spacing in short description
  * debhelper 11
  * Fix Homepage
  * Remove redundant information debian/reference

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 14:19:56 +0200

samtools-legacy (0.1.19-2) unstable; urgency=medium

  1bb181e Build libbam-dev from version 0.1.19 in a “legacy” source package.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Sep 2014 20:03:23 +0900

samtools (0.1.19-1) unstable; urgency=low

  cb9bd50 Imported https://github.com/samtools/samtools/archive/0.1.19.tar.gz
  1e6d442 new tools ace2sam, bamcheck, plot-bamcheck, r2plot.lua, vcfutils.lua.
  2f2d5c5 debian/copyright: collapsed copyright notices from main holders.
  e194f9e Removed fix_float_tag.patch, corrected upstream.
  9c0e543 Refreshed patches.
  3e7e0ec Renamed no-pileup-tests.patch fix_example_makefile.patch.
  8d8550e example/Makefile: pass -lpthread when compiling calDepth.
  fc32243 harden by concatenating Debian's LDFLAGS and CPPFLAGS in CFLAGS.
  6f75b48 debian/control: normalised with cme.
  e13bb5e debian/control: normalised VCS URLs.
  a1b1b00 debian/control: deleted DM-Upload-Allowed field.
  ddcd54e Use NEWS as upstream changelog.
  81ad760 Conforms to Policy version 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Sat, 30 Mar 2013 17:31:47 +0900

samtools (0.1.18-4) unstable; urgency=low

  [Charles Plessy]
  * debian/copyright: Normalised with config-model
  * added bash completion
  * Build-depend on Debhelper 9
  * Pass build flaggs set by dpkg-buildflags via Debhelper
  * Moved DOI and PubMed to the Reference namespace
  * Do not compress the example binary alignment file
  * Mention ‘SAMtools’ in libbam-dev's description

  [Andreas Tille]
  * debian/upstream: replaced BibTeX entry

  [Dominique Belhachemi]
  * added patch to fix float tag bug (upstream bug 71)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 21 Dec 2012 12:09:18 -0500

samtools (0.1.18-3) unstable; urgency=low

  * upload 0.1.18-2 closed the wrong bug, correction: 
  * added patch to fix segfault in mpileup (Closes: #653042)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 27 Jul 2012 11:11:41 -0400

samtools (0.1.18-2) unstable; urgency=low

  * added patch to fix segfault in mpileup (Closes: #544976)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 26 Jul 2012 18:30:48 -0400

samtools (0.1.18-1) unstable; urgency=low

  [b990d9d3] New upstream release.
  [d59366b9] Updated copyright statements.
  [aa08abe5] Compress binary packages with xz.
  [9a36c994] Added a DEP 3 header to debian/patches/no-pileup-tests.patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Sep 2011 16:52:04 +0900

samtools (0.1.17-1) unstable; urgency=low

  * New upstream release 0.1.17 (6 July, 2011).
  * bcftools.1 and samtools.1 merged (debian/rules, debian/samtools.manpages).
  * Patched the example makefile to not use samtools pileup, deprecated.
    (debian/control, debian/rules, debian/patches/series,
    debian/patches/no-pileup-tests.patch)

 -- Charles Plessy <plessy@debian.org>  Mon, 11 Jul 2011 21:04:30 +0900

samtools (0.1.16-1) unstable; urgency=low

  * New upstream release, implementing SAM Spec v1.4.
  * Distribute sam.h and the other headers in /usr/include/samtools.
    Closes: #625622, #626044, LP: #690997.

 -- Charles Plessy <plessy@debian.org>  Thu, 19 May 2011 13:24:25 +0900

samtools (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control, no changes needed).
  * debian/watch directly interrogates and downloads froms SourceForge.

 -- Charles Plessy <plessy@debian.org>  Tue, 12 Apr 2011 19:44:41 +0900

samtools (0.1.14-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Mar 2011 13:13:54 +0900

samtools (0.1.13-1) unstable; urgency=low

  * New upstream release:
    - backward incompatible with VCF/BCF generated by samtools older
      than r921 inclusive (0.1.12a is r862);
    - buildable with with ld --as-needed (Closes: #606004);
    - the helper tool bcf-fix.pl was removed.
  * Install the manual page of bcftools (debian/rules,
    debian/samtools.manpages). Closes: #616025.

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Mar 2011 13:54:34 +0900

samtools (0.1.12a-1) unstable; urgency=low

  * New upstream release.
  * Use bzip2 compression for the binary packages (debian/rules).
  * Incremented debhelper compatibility level to 8, in case ‘--‘ is not
    available in earlier versions (debian/compat, debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 03 Dec 2010 13:32:21 +0900

samtools (0.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Nov 2010 20:32:40 +0900

samtools (0.1.9-1) unstable; urgency=low

  * New upstream release, and new program: bcftools.
  * debian/rules, debian/samtools.install: install bcftools, its manpage,
    and bcf-fix.pl and vcfutils.pl.


=== debian/control ===
Source: samtools-legacy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libncurses5-dev,
               zlib1g-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/samtools/tree/debian/samtools-legacy
Vcs-Git: https://salsa.debian.org/med-team/samtools.git
Homepage: http://www.htslib.org/

Package: libbam-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: manipulates nucleotide sequence alignments in BAM or SAM format
 The BAM library provides I/O and various operations on manipulating nucleotide
 sequence alignments in the BAM (Binary Alignment/Mapping) or SAM (Sequence
 Alignment/Map) format. It now supports importing from or exporting to SAM,
 sorting, merging, generating pileup, and quickly retrieval of reads overlapped
 with a specified region.
 .
 This library is part of SAMtools version 0.1.19.  It is obsolete and provided
 only to build software that has not yet transitioned to the HTSlib, which
 replaces this library.

=== debian/watch ===
version=4

https://github.com/samtools/samtools/releases?after=0.2.0-rc1 .*/archive/(0\.1\.\d+)\.tar\.gz

## samtools-legacy 0.1.19%2Bdfsg

=== debian/control ===
Source: samtools-legacy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses5-dev,
               zlib1g-dev,
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/samtools-legacy
Vcs-Git: https://salsa.debian.org/med-team/samtools-legacy.git
Homepage: https://www.htslib.org/
Rules-Requires-Root: no

Package: libbam-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         zlib1g-dev
Description: manipulates nucleotide sequence alignments in BAM or SAM format
 The BAM library provides I/O and various operations on manipulating nucleotide
 sequence alignments in the BAM (Binary Alignment/Mapping) or SAM (Sequence
 Alignment/Map) format. It now supports importing from or exporting to SAM,
 sorting, merging, generating pileup, and quickly retrieval of reads overlapped
 with a specified region.
 .
 This library is part of SAMtools version 0.1.19.  It is obsolete and provided
 only to build software that has not yet transitioned to the HTSlib, which
 replaces this library.

## samtools-legacy 0.1.19+dfsg

=== debian/changelog ===
samtools-legacy (0.1.19+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Revert: Add missing build dependency on dh addon.
  * Disable LTO
    Closes: #1015655
  * d/watch: Provide sensible upstream tarball name
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 17:30:33 +0100

samtools-legacy (0.1.19+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Better patch by John Marshall for "format not a string"
  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jan 2022 18:49:14 +0100

samtools-legacy (0.1.19+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix error: format not a string literal and no format arguments

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 17:04:40 +0200

samtools-legacy (0.1.19+dfsg-3) UNRELEASED; urgency=medium

  * Re-add non-essential changes
  * Add patch to add in hardening options

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Jul 2021 20:47:46 +0530

samtools-legacy (0.1.19+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add Depends on zlib1g-dev
  * Add autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Jul 2021 20:41:17 +0530

samtools-legacy (0.1.19+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Drop debian/gbp.conf after creating separate repository
  * Move packaging to separate repository samtools-legacy
  * Drop win32 binaries from upstream source tarball
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 18:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libncurses5-dev,
-               zlib1g-dev,
-               debhelper
-Standards-Version: 4.6.0
+               zlib1g-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/samtools-legacy
 Vcs-Git: https://salsa.debian.org/med-team/samtools-legacy.git
 Homepage: https://www.htslib.org/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, samtools
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/samtools/samtools/tags?after=0.2.0-rc1 .*/(0\.1\.\d+)\.tar\.gz
